# ElectroMechanicalDrives

Modelica library for the simulation of electromechanical drives such as
- Electric vehicles
- Electric trains
- Machine tools
in order to investigate the stastionary and transient behaviour and to dimension electric drive components. 

The library provides: 
- Vehicle with
  - Aerodynamic friction 
  - Rolling friction
  - Inclincation of road
  - Optional electrical drive
- Linear, symmetric and chargable battery model, parameterized by cut off voltage, charge voltage, energy
- Ideal DC/DC converter with no loss
- Simplified DC machine model with field weakening capability
- Ideal mechanical machines with field weakening capabilites 
- Translational and rotational friction models
- Translational and rotational constant friction models

# License

This library is published under the [BSD-3-Clause](https://opensource.org/licenses/BSD-3-Clause) 

Copyright 2015-2017 Christian Kral 

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# Development and contribution

The library was developed to provide course material at the [TGM](http://www.tgm.ac.at), Wexstraße 19-23, 1200 Vienna, Austria. Library authors is [Christian Kral](https://christiankral.net).

# Contact

e-mail: dr.christian.kral(at)gmail.com
